> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get comprehensive statistics for a Bitcoin address including balance, transaction count, and activity metrics.

# Address Statistics



## OpenAPI

````yaml bitcoin/blockchain-indexer-api/openapi.json get /addresses/{address}/statistics
openapi: 3.0.3
info:
  title: Bitcoin - Blockchain Indexer API
  description: >-
    This API provides core indexer endpoints with support for Bitcoin
    metaprotocols by delivering real-time, rollback-protected access to
    Bitcoin's UTXO data, enabling developers to build responsive and reliable
    blockchain applications without managing complex infrastructure.


    #### Key Features:

    - **Real-Time Data with Rollback Protection:** Ensures data accuracy by
    handling chain reorganizations gracefully, providing live data without
    sacrificing integrity.

    - **Comprehensive UTXO Indexing:** Specialized pipelines extract, match, and
    process on-chain information, including handling rollbacks, to provide
    accurate and up-to-date data.


    #### Key Benefits for Developers:

    By abstracting the complexities of blockchain data retrieval and processing,
    Maestro's Bitcoin Indexer API empowers developers to focus on building
    innovative applications with confidence in fast and reliable access to
    historical chain data.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.2.0
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0
    description: Bitcoin Mainnet
  - url: https://xbt-testnet.gomaestro-api.org/v0
    description: Bitcoin Testnet
security:
  - api-key: []
paths:
  /addresses/{address}/statistics:
    get:
      tags:
        - Addresses
      summary: Address Statistics
      description: >-
        Returns all current statistics of the address: total txs the address was
        involved in, total unspent outputs controlled by the address, current
        satoshi, control of any runes and inscription balance.
      operationId: address_statistics
      parameters:
        - name: address
          in: path
          description: Bitcoin address or hex encoded script pubkey
          required: true
          schema:
            type: string
          example: bc1qcx7ys0ahvtfqcc63sfn6axls0qrhkadnslpd94
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedAddressStatistics'
              example:
                data:
                  runes: false
                  sat_balance: '209258'
                  total_inputs: 0
                  total_inscriptions: 0
                  total_outputs: 3
                  total_sat_in_inputs: 0
                  total_sat_in_outputs: 209258
                  total_txs: 3
                  total_utxos: 3
                last_updated:
                  block_hash: >-
                    000000000000000000017e71733448d2c8e2f4c08105d97f7c1868acb4acc7ba
                  block_height: 903881
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedAddressStatistics:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/AddressStatistics'
        last_updated:
          $ref: '#/components/schemas/ChainTip'
    AddressStatistics:
      type: object
      required:
        - total_txs
        - total_inputs
        - total_sat_in_inputs
        - total_outputs
        - total_sat_in_outputs
        - total_utxos
        - runes
        - total_inscriptions
        - sat_balance
      properties:
        runes:
          type: boolean
          description: Existence of runes controlled by the address.
        sat_balance:
          type: string
          description: Current satoshi balance controlled by the address.
        total_inputs:
          type: integer
          format: int64
          description: Total number of inputs (spent outputs) controlled by the address.
          minimum: 0
        total_inscriptions:
          type: integer
          format: int64
          description: Total number of inscriptions currently controlled by the address.
          minimum: 0
        total_outputs:
          type: integer
          format: int64
          description: Total number of spent or unspent outputs controlled by the address.
          minimum: 0
        total_sat_in_inputs:
          type: integer
          description: Total number of sats in inputs controlled by the address.
          minimum: 0
        total_sat_in_outputs:
          type: integer
          description: >-
            Total number of sats in spent or unspent outputs controlled by the
            address.
          minimum: 0
        total_txs:
          type: integer
          format: int64
          description: >-
            Total number of transactions where the address controlled at least
            an input or an output.
          minimum: 0
        total_utxos:
          type: integer
          format: int64
          description: Total number of unspent outputs (UTxOs) controlled by the address.
          minimum: 0
    ChainTip:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
          description: The hash of the block
          example: 0000000000000000000a7f3b7b6b6e1d9a18db65a3b4a3f4f3bcb2e1f1b2d3e7
        block_height:
          type: integer
          format: int64
          description: The height of the block in the blockchain
          example: 707000
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````